Subject: buggy mlock() behaviour in 2.6.9 on ppc64?

From: Chris Friesen <[email-masked]>
Date: Wed, 02 Feb 2005 12:11:22 -0600

I've got a simple test app that tries to mmap() and mlock() an amount of 
memory specified on the commandline.

If I specify more than the amount of physical memory in the system, I 
get different behaviours between ppc and ppc64.

With the ppc kernel, my mmap() call will eventually fail and return 
MAP_FAILED.

With the ppc64 kernel, however, the system hangs, and the fans speed 
starts increasing.  It seems like it doesn't realize that there is 
simply no way that it will ever be able to succeed.

Is this expected behaviour for ppc64?

Chris